SYNC(8)

NAME
sync - force completion of pending disk writes (flush cache)

SYNOPSIS
sync

DESCRIPTION
The sync program can be called to ensure that all disk writes have been completed before the processor is halted in a way not suitably done by reboot(8) or halt(8). Generally, it is preferable to use reboot(8) or halt(8) to shut down the system, as they may perform additional actions such as resynchronizing the hardware clock and flushing internal caches before performing a final sync.

The sync program simply invokes the sync(2) system call.

SEE ALSO
fsync(2), sync(2), halt(8), reboot(8)

HISTORY
A sync command appeared in AT&T UNIX.